Bug 8504 - rp3, rp3-config and netcfg problems.
rp3, rp3-config and netcfg problems.
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Documentation
Depends On:
  Show dependency treegraph
Reported: 2000-01-15 20:30 EST by Suhaib Siddiqi
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-21 11:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suhaib Siddiqi 2000-01-15 20:30:05 EST
If dial-out PPP configured through "netcfg"  The dial-out PPP scripts
do not work properly.
ifcfg-ppp0 if created using rp3-config, netcfg cannot use it and will ot
make a dial-up PPP connection, instead returns the error
Failed to activate /etc/sysconfig/network-scripts/ifcfg-ppp0"

If PPP scripts created using netcfg, then rp3 will dial and make a PPP
connection but PPP does not work properly and cannot ping any host.
However if rp3-config is used instead of rp3 and a "debug" is used
then it works.
Comment 1 Nalin Dahyabhai 2000-01-17 10:15:59 EST
This is correct.  The new rp3 tool is not meant to interoperate with netcfg.
The rp3/wvdial combination can use MSDNS information sent over the link to
configure your /etc/resolv.conf to use the proper nameservers to resolve
addresses.  Unless your ISP is doing something strange, the addresses of its
nameservers shouldn't change, and after your initial connection, scripts
generated using netcfg should work fine.  I'm marking this as "not a bug"
because we only recommend use of netcfg in the few situations where rp3 and
wvdial don't work correctly.  If there is some other problem, please reopen
this bug.
Comment 2 Riley H Williams 2000-01-18 08:36:59 EST
Although it's probably not directly related to the original query above, there
is one case you may wish to document where wvdial doesn't work correctly. This
is where the remote system includes the following in its prompt text (taken from
a works system I had to configure recently):

 Q> Welcome to the login server for our employees
 Q> =============================================
 Q> Please enter your ID: rhw
 Q> ...and your password: *********
 Q> Please wait, validating your account...........OK.
 Q> ================================================================
 Q> For PPP access, please type 'use PPP', otherwise type 'direct'.
 Q> Cmd:

There are two problems with the above that cause wvdial to hiccup:

 1. The initial prompt text includes the word 'login' and often results
    in wvdial sending the user ID before the system is ready.

 2. The secondary prompt contains the word PPP but states that it needs
    to be in the form 'use PPP' to start up PPP access, and not in the
    form of the word PPP on its own.

The latter could be dealt with by adding the following rule to wvdial's AI code
for detecting how to start up PPP:

 ?. If in the secondary prompt, we see QUOTED text entirely on a single
    line that contains PPP (located in a case insensitive manner), we
    use the quoted text as the command to send.

However, the only way I can see to deal with the first problem would be to
require that the word login occur either on the line where we stop receiving
characters, or on the immediately preceding line, and I would tend to suspect
that such would cause other problems...
Comment 3 Nalin Dahyabhai 2000-01-24 08:32:59 EST
I'm forwarding this to the documentation folks for review.  Thanks for your
your help in tracking down what is probably a netcfg bug.
Comment 4 Riley H Williams 2000-04-19 08:21:59 EDT
I have now joined the wvdial development list, and am working on various patches
for wvdial that should make suchlike setups easier to deal with...
Comment 5 Ed Bailey 2000-04-21 11:37:59 EDT
Reviewed by Docs; am closing it out as NOTABUG, but will work with the author
doing the rp3 documentation to see if the point about netcfg and rp3 not working
together can be mentioned in future releases...

Note You need to log in before you can comment on or make changes to this bug.